package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumPosSelect {

    // 0:不使用 1:使用

    NOT_SEL(0, "不使用"),
    SELECTED(1, "使用")
    ;

    public static EnumPosSelect getEnum(Integer code) {
        for (EnumPosSelect value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPosSelect(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
